package io.accumulatenetwork.sdk.generated.protocol;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.Marshallable;
import io.accumulatenetwork.sdk.support.Marshaller;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("ValidatorPartitionInfo")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ValidatorPartitionInfo implements Marshallable {
	private String id;
	private boolean active;

    //
	public String getID() {
	    return id;
	}
	public void setID(final String value) {
	    this.id = value;
	}

	public ValidatorPartitionInfo id(final String value) {
	    setID(value);
	    return this;
	}
	public boolean getActive() {
	    return active;
	}
	public void setActive(final boolean value) {
	    this.active = value;
	}

	public ValidatorPartitionInfo active(final boolean value) {
	    setActive(value);
	    return this;
	}
    public byte[] marshalBinary() {
        final var marshaller = new Marshaller();
        if (!(this.id == null || this.id.length() == 0)) {
            marshaller.writeString(1, this.id);
        }
        marshaller.writeBool(2, this.active);
        return marshaller.array();
    }
}
